<div class="container">
    <h2>
        <span jhiTranslate="mpmApp.purchasing.home.title">Purchasing</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/', { outlets: { popup: ['purchasing-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.purchasing.home.createLabel">
            Create new Purchasing
            </span>
        </button> -->
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px;">
            <div class="row">
                <div class="ui-g-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                            field="nmSupplier" placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                            [dropdown]="true" tabindex=1></p-autoComplete>
                    </div>
                </div>

                <div class="ui-g-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                            (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                            [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                            (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=2></p-autoComplete>
                    </div>
                </div>

                <div class="ui-g-8">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">Alamat</label>
                        <input type="text" class="form-control" name="address" id="field_address"
                            [(ngModel)]="splAddress" readonly tabindex=3 autocomplete="off" />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">Syarat Bayar</label>
                        <input type="text" class="form-control" name="kpayterms" id="field_payterms"
                            [(ngModel)]="purchasing.paymentterms" tabindex=4 autocomplete="off" />
                    </div>
                </div>
                <div class="ui-g-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">Catatan Pembayaran</label>
                        <input type="text" class="form-control" name="kpayterms" id="field_payterms"
                            [(ngModel)]="purchasing.paynotes" tabindex=5 autocomplete="off" />
                    </div>
                </div>
                <div class="ui-g-2">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">Lama Kredit (Hari)</label>
                        <input currencyMask name="tenor" id="field_tenor" [(ngModel)]="purchasing.tenor"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            class="form-control" tabindex=6 autocomplete="off" />
                    </div>
                </div>
                <div class="ui-g-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Mata Uang</label>
                        <p-autoComplete [(ngModel)]="newValuta" [suggestions]="filteredValuta"
                            (completeMethod)="filterValutaSingle($event)" [size]="34" name="valuta" [minLength]="1"
                            field="valutacode" placeholder="pilih atau masukan mata uang"
                            (onSelect)="selectValuta(true)" [dropdown]="true" tabindex=7></p-autoComplete>
                    </div>
                </div>
                <div class="ui-g-2">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Otorisasi">Otorisasi</label>
                        <input type="text" class="form-control" name="otorisasi" id="field_otorisasi"
                            [(ngModel)]="newOto" readonly tabindex=8 />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <div class="ui-g-12">
                            <label class="form-control-label" for="field_Tipe">Dikirim</label>
                        </div>
                        <div class="ui-g-12">
                            <p-radioButton name="group1" value="Kantor" label="Kantor" [(ngModel)]="purchasing.sentto"
                                tabindex=9 [hidden]="idPlant == 'SMK' || idPlant == 'SKG'">
                            </p-radioButton>
                            <p-radioButton name="group1" value="Sinde 1" label="Sinde 1" [(ngModel)]="purchasing.sentto"
                                tabindex=10 [hidden]="idPlant == 'SMK' || idPlant == 'SKG'">
                            </p-radioButton>
                            <p-radioButton name="group1" value="Sinde 5" label="Sinde 5" [(ngModel)]="purchasing.sentto"
                                tabindex=11 [hidden]="idPlant == 'SMK' || idPlant == 'SKG'">
                            </p-radioButton>
                            <p-radioButton name="group1" value="SKG Pluit" label="SKG Pluit"
                                [(ngModel)]="purchasing.sentto" tabindex=12
                                [hidden]="idPlant == 'SMK' || idPlant == 'SBS'">
                            </p-radioButton>
                            <p-radioButton name="group1" value="SMK" label="SMK" [(ngModel)]="purchasing.sentto"
                                tabindex=12 [hidden]="idPlant == 'SBS' || idPlant == 'SKG'">
                            </p-radioButton>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="ui-g-4">
            <button type="button" [routerLink]="['/', { outlets: { popup: 'purchase-order-as-lov'  } }]"
                replaceUrl="true" label="cari" class="btn btn-danger btn-block" tabindex=14>
                <span>Cari Nomor PP</span>
            </button>
        </div>
        <!-- <div class="ui-g-4">
            <button type="button" class="btn btn-primary btn-block" icon="fa-plus"
                [disabled]="(inputCount > 4) || (purchasingItems?.length == 0) " (click)="addInput()"><span>Tambah Kolom
                    Nama Produk</span></button>
        </div>
        <div class="ui-g-4">
            <button type="button" class="btn btn-warning btn-block" icon="fa-trash" [disabled]="inputCount == 0"
                (click)="minusInput()"><span>Hapus Kolom Nama Produk</span></button>
        </div> -->
        <div class="ui-g-12">
            <p-dataTable [value]="purchasingItems" [editable]="true" [responsive]="true">
                <header>

                </header>
                <p-column header="No">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nourut}}
                    </ng-template>
                </p-column>
                <p-column header="No PP">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <a (click)="openPdf(rowData)">{{rowData.noPP}}</a>
                    </ng-template>
                </p-column>
                <p-column header="Catatan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit" class="ui-button-primary flat-label-button"
                            icon="fa fa-sticky-note" pTooltip="{{rowData.orderItem.note_pbl}}">
                        </button>
                        <button pButton type="submit" icon="fa-eye" class="flat-button" pTooltip="Lihat Lampiran"
                            (click)="openPDFPP(rowData.orderItem.idPurchaseOrder)">
                        </button>
                    </ng-template>
                </p-column>
                <p-column header="Kode Produk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productcode}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Produk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <textarea [(ngModel)]="rowData.productname" autofocus="autofocus" rows="1" cols="30"
                            pInputTextarea autoResize="autoResize" style="width: 200px;">
                        </textarea>
                        <textarea [(ngModel)]="rowData.productname2" autofocus="autofocus" rows="1" cols="30"
                            *ngIf="hidden2 === false" pInputTextarea autoResize="autoResize" style="width: 200px;"
                            id="productname2" [hidden]="true">
                        </textarea>
                        <textarea [(ngModel)]="rowData.productname3" autofocus="autofocus" rows="1" cols="30"
                            *ngIf="hidden3 === false" pInputTextarea autoResize="autoResize" style="width: 200px;"
                            id="productname3" [hidden]="true">
                        </textarea>
                        <textarea [(ngModel)]="rowData.productname4" autofocus="autofocus" rows="1" cols="30"
                            *ngIf="hidden4 === false" pInputTextarea autoResize="autoResize" style="width: 200px;"
                            id="productname4" [hidden]="true">
                        </textarea>
                        <textarea [(ngModel)]="rowData.productname5" autofocus="autofocus" rows="1" cols="30"
                            *ngIf="hidden5 === false" pInputTextarea autoResize="autoResize" style="width: 200px;"
                            id="productname5" [hidden]="true"></textarea>
                        </textarea>
                    </ng-template>
                </p-column>
                <p-column header="QTY PP">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.ppqty}} {{rowData.uom}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="Sisa PP-PO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.sisaPP}} {{rowData.uom}}
            </ng-template>
        </p-column> -->
                <p-column header="Harga Penawaran">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.bidprice}}
                    </ng-template>
                </p-column>
                <p-column header="QTY">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" style="width: 70px;" [(ngModel)]="rowData.qty"
                            (blur)="calculateTotalPrice(rowData)" />
                    </ng-template>
                </p-column>
                <p-column header="Harga">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" name="price" id="field_price" [(ngModel)]="rowData.price"
                            (blur)="calculateTotalPrice(rowData)" style="width: 100px;" />
                    </ng-template>
                </p-column>
                <p-column header="Disc (%)">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <label>isdics ?</label>
                        <p-checkbox name="isDiscPersenItem" binary="true" [(ngModel)]="isDiscPersenItem"
                            (click)="calculateTotalPrice(rowData)">
                        </p-checkbox>
                        <input currencyMask class="form-control" name="jumlah" id="field_jumlah"
                            [(ngModel)]="rowData.discpercent"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="calculateTotalPrice(rowData)" style="width: 100px;"
                            [disabled]="isDiscPersenItem === false" />
                    </ng-template>
                </p-column>
                <p-column header="Disc (nominal)">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input currencyMask class="form-control" name="jumlah" id="field_jumlah"
                            [(ngModel)]="rowData.disc"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="calculateTotalPrice(rowData)" style="width: 100px;"
                            [disabled]="isDiscPersenItem === true" />
                    </ng-template>
                </p-column>
                <p-column header="Total Harga">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" name="totalprice" id="field_totalprice" [(ngModel)]="rowData.totalprice"
                            style="width: 110px;" [disabled]="true" />
                    </ng-template>
                </p-column>
                <p-column header="Tanggal Kirim">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            PP - {{rowData.dtsentpp | date:'dd-MMMM-yyyy'}}
                        </div>
                        <div>
                            <p-calendar inputId="field_dtsent_{{rowData.nourut}}" name="input_dtsent"
                                [(ngModel)]="rowData.dtsent" dateFormat="dd-MM-yy" [monthNavigator]="true"
                                [yearNavigator]="true" yearRange="2000:2999" appendTo="body"
                                (onSelect)="setFocus(rowData.nourut)" [minDate]="minimumDate"
                                (onBlur)="cekdtsent(rowData)"></p-calendar>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="Catatan Tanggal Kirim">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="text" class="form-control" id="field_dtsentnote_{{rowData.nourut}}"
                            name="field_dtsentnote_{{rowData.nourut}}" [(ngModel)]="rowData.dtsentnote"
                            autofocus="autofocus" rows="1" cols="30" autoResize="autoResize" style="width: 200px;"
                            (blur)="cekdtsent(rowData)">
                    </ng-template>
                </p-column>
                <p-column header="Divisi Penerima">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <p-dropdown [options]="masterDivs" name="divReceipt"
                            inputId="field_divReceipt_{{rowData.nourut}}" [(ngModel)]="rowData.divreceipt"
                            appendTo="body" (onBlur)="cekdtsent(rowData)">
                        </p-dropdown>
                    </ng-template>
                </p-column>
                <p-column header="Aksi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            <button pButton type="submit" (click)="deleteListArray(rowData)"
                                class="ui-button-danger flat-label-button" icon="fa fa-remove" pTooltip="Hapus Item">
                            </button>
                        </div>
                        <hr>
                        <div *ngIf="rowData.ppqty > rowData.qty">
                            <button pButton type="submit" (click)="addListArray(rowData)"
                                class="ui-button-primary flat-label-button" icon="fa fa-plus" pTooltip="Pecah Item">
                            </button>
                        </div>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
        <div class="ui-g-12" style="margin-bottom: 50px;">
            <div style="border: 1px solid grey;"></div>
            <div class="ui-g-6">
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Toleransi Kirim (%)</label>
                    </div>
                    <div class="ui-g-8">
                        <div class="form-group">
                            <input currencyMask class="form-control" name="tolerancenumsend" id="field_tolerancenumsend"
                                [(ngModel)]="purchasing.tolerancenumsend"
                                [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '0' }"
                                (blur)="validasiToleransi()" />
                            <!-- <input type="number"
                            onkeydown="javascript: return event.keyCode == 69 ? false : true"
                            name="tolerancenumsend" id="field_tolerancenumsend" [(ngModel)]="purchasing.tolerancenumsend"
                            (blur)="validasiToleransi()"/> -->
                        </div>
                    </div>
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Catatan</label>
                    </div>
                    <div class="ui-g-8">
                        <!-- <input type="text" class="form-control" name="Catatan" id="field_Catatan"
                            [(ngModel)]="purchasing.notes" /> -->
                        <textarea class="form-control" name="Catatan" id="field_Catatan" [(ngModel)]="purchasing.notes"
                            rows="5" cols="30" maxlength="750" pInputTextarea autoResize="autoResize"></textarea>
                    </div>
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Potongan PPH PO?</label>
                        <p-checkbox name="ispph" binary="true" [(ngModel)]="checkPPH" (onChange)="checkIsPPH()">
                        </p-checkbox>
                    </div>
                </div>
            </div>
            <div class="ui-g-6">
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Jumlah</label>
                    </div>
                    <div class="ui-g-8">
                        <!-- <input type="text" class="form-control" name="jumlah" id="field_jumlah" [(ngModel)]="jumlah"
                            readonly /> -->
                        <input currencyMask class="form-control" name="jumlah" id="field_jumlah" [(ngModel)]="jumlah"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" readonly />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Disc (%)</label>
                        <p-checkbox name="isDiscPersen" binary="true" [(ngModel)]="isDiscPersen" (click)="checkDisc()">
                        </p-checkbox>
                        </p-radioButton>
                    </div>
                    <div class="ui-g-8">
                        <!-- <input type="text" class="form-control" name="disc" id="field_disc"
                            [(ngModel)]="purchasing.disc" (blur)="checkIsPPn()" placeholder="Isi Persentase"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '0' }"
                            [disabled]="isDiscPersen == false" /> -->
                        <input currencyMask class="form-control" name="disc" id="field_disc"
                            [(ngModel)]="purchasing.disc"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="checkIsPPn()" [disabled]="isDiscPersen == false" placeholder="Isi Persentase" />
                    </div>
                    <div class="ui-g-4">
                    </div>
                    <div class="ui-g-8">
                        <!-- <input type="text" class="form-control" name="totalDisc" id="field_totalDisc"
                            [(ngModel)]="purchasing.totaldisc" (blur)="checkIsPPn()" placeholder="Isi Jumlah Uang"
                            [disabled]="isDiscPersen == true" /> -->
                        <input currencyMask class="form-control" name="totaldisc" id="field_totaldisc"
                            [(ngModel)]="purchasing.totaldisc"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            placeholder="Isi Jumlah Uang" [disabled]="isDiscPersen == true" (blur)="checkIsPPn()" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">PPN</label>
                        <p-checkbox name="isppn" binary="true" [(ngModel)]="checkPPN" (click)="checkIsPPn()">
                        </p-checkbox>
                        <label [hidden]="oldPPN < 1">{{oldPPN}} %</label>
                        <p-checkbox name="ppnOld" binary="true" [(ngModel)]="ppnOld" (click)="checkIsPPn()" [disabled]="oldPPN < 1 || checkPPN === false" [hidden]="oldPPN < 1">
                        </p-checkbox>
                    </div>
                    <div class="ui-g-8">
                        <!-- <input type="text" class="form-control" name="ppn" id="field_ppn" [(ngModel)]="purchasing.ppn"
                            [disabled]="true" /> -->
                        <label>Pembualatan Atas</label>
                        <p-checkbox name="isDiscPersenAtas" binary="true" [(ngModel)]="isDiscPersenAtas"
                            (click)="checkIsPPn()" [disabled]="checkPPN === false">
                        </p-checkbox>

                        <label>Pembualatan Bawah</label>
                        <p-checkbox name="isDiscPersenBawah" binary="true" [(ngModel)]="isDiscPersenBawah"
                            (click)="checkIsPPn()" [disabled]="checkPPN === false">
                        </p-checkbox>
                        <input currencyMask class="form-control" name="ppn" id="field_ppn" [(ngModel)]="purchasing.ppn"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" placeholder="Nominal PPN"
                            [disabled]="true" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Retensi</label>
                        <p-checkbox name="isppn" binary="true" [(ngModel)]="isretensi" (onChange)="checkRetensi()">
                        </p-checkbox>
                        </p-radioButton>
                    </div>
                    <div class="ui-g-8">
                        <input currencyMask class="form-control" name="retensi" id="field_retensi"
                            [(ngModel)]="purchasing.retensiday"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '0' }"
                            [disabled]="!isretensi" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Jumlah Total</label>
                    </div>
                    <div class="ui-g-8">
                        <!-- <input type="text" class="form-control" name="totalPrice" id="field_totalPrice"
                            [(ngModel)]="purchasing.totalprice" readonly /> -->
                        <input currencyMask class="form-control" name="totalprice" id="field_totalprice"
                            [(ngModel)]="purchasing.totalprice"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" readonly />
                    </div>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="btn-group flex-btn-group-container"
                    *ngIf="(purchasingItems && purchasingItems.length) && purchasing">
                    <button pButton type="submit" label="Simpan" icon="fa-save"
                        class="ui-button-primary flat-label-button" (click)="createPO()">
                    </button>
                </div>
                <div class="btn-group flex-btn-group-container">
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()">
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>